#pragma once
#include "BlfParser.h"
#include "Macrodef.h"
#ifdef LINUX
#include "../ImageProcess/UploadParaDef.h"
#else
#include "../IFL_SWD/UploadParaDef.h"
#endif

class CUploadCfgParser :public CBlfParser
{
 public:
	CUploadCfgParser(void);
	~CUploadCfgParser(void);

	bool ParseUploadCfgFile(const TCHAR *pszUploadCfgFileName);
	EUploadType FindType(tstring strType);
	EUploadSubType FindSubType(tstring strSubType);
	
	
public:
	t_UpLoadDataSpecList   m_UpLoadDataSpecInfo ;
    TCHAR m_szUploadCfgName[MAX_FILE_LENGTH];
};
