
#ifndef _LISTDEFINE_H_
#define _LISTDEFINE_H_
#include <iostream>
#include <iomanip>
#include <sstream>
#include <fstream>
#include <vector>
#include <list>
#include <iterator>
using namespace std;

#include "Macrodef.h"


#pragma warning ( disable : 4996 ) // Disable warning messages
#pragma warning ( disable : 4786 )

class CImageDescription;
class CReservedPackageData;
class CKey;
class CDigitalSignature;
class CAutoBind;
class CErdBase;
class CResumeDdr;
class CResume;
class CGpio;
class CGpioSet;
class CXfer;
class CTBRXferSet;
class CUart;
class CUsb;
class CUsbVendorReq;
class CEscapeSeq;
class CConsumerID;
typedef list<CImageDescription*>           t_ImagesList;
typedef list<CImageDescription*>::iterator t_ImagesIter;
typedef list<tstring*>           t_stringList;
typedef list<tstring*>::iterator t_stringListIter;
typedef pair<tstring*,tstring*>                     t_Pairstring;
typedef list<t_Pairstring*>			              t_PairstringList;
typedef list<t_Pairstring*>::iterator             t_PairstringIter;
typedef list<CReservedPackageData*>           t_ReservedDataList;
typedef list<CReservedPackageData*>::iterator t_ReservedDataListIter;
typedef list<CKey*>           t_KeyList;
typedef list<CKey*>::iterator t_KeyListIter;
typedef vector<tstring*>           t_stringVector;
typedef vector<tstring*>::iterator t_stringVectorIter;
typedef list<pair<unsigned int,unsigned int>*>			 t_PairList;
typedef list<pair<unsigned int,unsigned int>*>::iterator t_PairListIter;
typedef pair<tstring*,tstring*>                     t_Pairstring;
typedef list<t_Pairstring*>			              t_PairstringList;
typedef list<t_Pairstring*>::iterator             t_PairstringIter;
typedef list<CDigitalSignature*>           t_DigitalSignatureList;
typedef list<CDigitalSignature*>::iterator t_DigitalSignatureListIter;
typedef vector<CErdBase*>           t_ErdBaseVector;
typedef vector<CErdBase*>::iterator t_ErdBaseVectorIter;
typedef list<CResumeDdr*>           t_ResumeDdrList;
typedef list<CResumeDdr*>::iterator t_ResumeDdrListIter;
typedef list<CResume*>           t_ResumeList;
typedef list<CResume*>::iterator t_ResumeListIter;
typedef list<CAutoBind*>           t_AutoBindList;
typedef list<CAutoBind*>::iterator t_AutoBindListIter;
typedef list<CGpio*>           t_GpioList;
typedef list<CGpio*>::iterator t_GpioListIter;
typedef list<CGpioSet*>           t_GpioSetList;
typedef list<CGpioSet*>::iterator t_GpioSetListIter;
typedef list<CXfer*>           t_XferList;
typedef list<CXfer*>::iterator t_XferListIter;
typedef list<CTBRXferSet*>           t_TBRXferSetList;
typedef list<CTBRXferSet*>::iterator t_TBRXferSetListIter;
typedef list<CUart*>           t_UartList;
typedef list<CUart*>::iterator t_UartListIter;
typedef list<CUsbVendorReq*>           t_UsbVendorReqList;
typedef list<CUsbVendorReq*>::iterator t_UsbVendorReqListIter;
typedef list<CEscapeSeq*>           t_EscapeSeqList;
typedef list<CEscapeSeq*>::iterator t_EscapeSeqListIter;
typedef vector<CConsumerID*>           t_ConsumerIDVec;
typedef vector<CConsumerID*>::iterator t_ConsumerIDVecIter;

#endif
